## ZEPHYR CONFIGURATION
CONFIG_PM_DEVICE=y
CONFIG_SIZE_OPTIMIZATIONS=y
CONFIG_REBOOT=y
CONFIG_POWEROFF=y
CONFIG_HWINFO=y
CONFIG_HWINFO_NRF=y 

# DISABLE DEBUG FOR POWER OPTIMIZATION
# CONSOLE & LOG CONFIGURATION
CONFIG_CONSOLE=y
CONFIG_LOG=y
CONFIG_SEGGER_RTT_MODE_BLOCK_IF_FIFO_FULL=y
CONFIG_SEGGER_RTT_BUFFER_SIZE_UP=4096

# RTT CONFIGURATION
CONFIG_USE_SEGGER_RTT=y
CONFIG_RTT_CONSOLE=y

# ADC CONFIGURATION
CONFIG_ADC=y
CONFIG_ADC_ASYNC=y
CONFIG_ADC_NRFX_SAADC=y

# BLE PERIPHERAL CONFIGURATION
CONFIG_BT=y
CONFIG_BT_DEBUG_LOG=n
CONFIG_BT_SMP=y         #This option enables support for the Security Manager Protocol(SMP), making it possible to pair devices over LE.
CONFIG_BT_SIGNING=y     #This option enables data signing which is used for transferring authenticated data in an unencrypted connection.
CONFIG_BT_PERIPHERAL=y
CONFIG_BT_DIS=y
CONFIG_BT_DIS_PNP=n
CONFIG_BT_DIS_SETTINGS=y
CONFIG_BT_MAX_PAIRED=5
CONFIG_BT_SMP_ALLOW_UNAUTH_OVERWRITE=y
CONFIG_BT_ID_UNPAIR_MATCHING_BONDS=y

CONFIG_BT_DIS_SERIAL_NUMBER=y
CONFIG_BT_DIS_FW_REV=y
CONFIG_BT_DIS_HW_REV=y
CONFIG_BT_DIS_MANUF="Amira"
CONFIG_BT_DIS_MODEL="Terra Bracelet"

CONFIG_BT_ATT_PREPARE_COUNT=5

CONFIG_BT_DEVICE_NAME="Terra Bracelet"
CONFIG_BT_DEVICE_APPEARANCE=1347

CONFIG_BT_BAS=y
CONFIG_BT_FILTER_ACCEPT_LIST=y
CONFIG_BT_KEYS_OVERWRITE_OLDEST=y
# CONFIG_BT_CTLR_TX_PWR_PLUS_4=y

# FLASH & NVS CONFIGURATION
CONFIG_FLASH=y
CONFIG_FLASH_PAGE_LAYOUT=y
CONFIG_FLASH_MAP=y
CONFIG_NVS=y
CONFIG_MPU_ALLOW_FLASH_WRITE=y

# SPI CONFIGURATION
CONFIG_SPI=y

#SETTINGS CONFIGURATION
CONFIG_SETTINGS=y
CONFIG_SETTINGS_RUNTIME=y
CONFIG_BT_SETTINGS=y

# DEBUG CONFIGURATION
CONFIG_ASSERT=n
CONFIG_DEBUG=n
CONFIG_THREAD_NAME=n
CONFIG_RESET_ON_FATAL_ERROR=y

# GPIO CONFIGURATION
CONFIG_GPIO=y
CONFIG_GPIO_NRFX=y
CONFIG_NRFX_PPI=y
CONFIG_PINCTRL=y
CONFIG_PWM=y

# IMU CONFIGURATION
CONFIG_I2C=y
CONFIG_SENSOR=y

# MCUBOOT
CONFIG_BOOTLOADER_MCUBOOT=y

# BLE OTA
CONFIG_MCUMGR=y
CONFIG_NET_BUF=y
CONFIG_ZCBOR=y
CONFIG_CRC=y
CONFIG_MCUMGR_TRANSPORT_BT=y
CONFIG_MCUMGR_TRANSPORT_BT_CONN_PARAM_CONTROL=y
CONFIG_MCUMGR_TRANSPORT_BT_AUTHEN=n
CONFIG_IMG_MANAGER=y
CONFIG_STREAM_FLASH=y
CONFIG_FLASH_MAP=y
CONFIG_FLASH=y
CONFIG_MCUMGR_GRP_IMG=y
CONFIG_MCUMGR_GRP_OS=y
CONFIG_MCUMGR_GRP_OS_BOOTLOADER_INFO=y
CONFIG_MCUMGR_TRANSPORT_BT_REASSEMBLY=y
CONFIG_MCUMGR_GRP_IMG_ALLOW_ERASE_PENDING=y
CONFIG_IMG_ERASE_PROGRESSIVELY=y
CONFIG_MCUMGR_GRP_OS_INFO=y

# OTA SPEEDUP
CONFIG_BT_L2CAP_TX_MTU=498
CONFIG_BT_BUF_ACL_TX_SIZE=251
CONFIG_BT_BUF_ACL_RX_SIZE=502
CONFIG_BT_CTLR_DATA_LENGTH_MAX=251

# STACK SIZE
CONFIG_MAIN_STACK_SIZE=2048
